%define upstream_name   Parse-Method-Signatures
%define upstream_version 1.003014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Turn parse TC data into Moose TC object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(List::MoreUtils) >= 0.200.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Traits) >= 0.60.0
BuildRequires: perl(MooseX::Types) >= 0.170.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(PPI) >= 1.203.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::clean) >= 0.100.0
BuildArch:  noarch

Requires:   perl(MooseX::Traits)
%description
Inspired by the Perl6::Signature manpage but streamlined to just support
the subset deemed useful for the TryCatch manpage and the
MooseX::Method::Signatures manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/Parse

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.3.14-2.mga3
+ Revision: 371532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 1:1.3.14-1.mga2
+ Revision: 148185
- update to 1.003014

* Wed Jan 26 2011 jquelin <jquelin> 1:1.3.13-1.mga1
+ Revision: 40025
- mageia rebuild
- imported package perl-Parse-Method-Signatures

